=begin
Multiple Face offset Version 3

Remus Knowles, 28/7/2009

Problems? enquire here: http://forums.sketchucation.com/

History
version 1: first attempt.
version 2: added .to_l to eliminate units problem.
version 3: added "require'offset'" so people know tey need to have offset.rb
           changed typename to is_a?
=end

require 'sketchup'
require "offset.rb"

module RTK

def self.multi_face_offset()

sel = Sketchup.active_model.selection

width = UI.inputbox(["Offset"],[],[],"Offset Distance")

Sketchup.active_model.start_operation""

sel.each {|e|
 if e.is_a? Sketchup::Face
 e.offset(-(width[0].to_l))
 end
}

Sketchup.active_model.commit_operation

end#method

end#module

UI.menu("Plugins").add_item("Multi Face Offset") {
RTK.multi_face_offset
}